import { Backend } from './backend.js';
/**
 * Register a backend.
 *
 * @param name - the name as a key to lookup as an execution provider.
 * @param backend - the backend object.
 * @param priority - an integer indicating the priority of the backend. Higher number means higher priority. if priority
 * < 0, it will be considered as a 'beta' version and will not be used as a fallback backend by default.
 *
 * @ignore
 */
export declare const registerBackend: (name: string, backend: Backend, priority: number) => void;
/**
 * Resolve backend by specified hints.
 *
 * @param backendHints - a list of execution provider names to lookup. If omitted use registered backends as list.
 * @returns a promise that resolves to the backend.
 *
 * @ignore
 */
export declare const resolveBackend: (backendHints: readonly string[]) => Promise<Backend>;
//# sourceMappingURL=backend-impl.d.ts.map